FROM registry.hub.docker.com/library/debian:buster-slim

LABEL Maintainer="software-embedded-platform@ultimaker.com" \
      Comment="Ultimaker U-Boot build environment"

RUN apt-get update && \
    apt-get install -y \
        bison \
        bzip2 \
        device-tree-compiler \
        flex \
        gcc \
        gcc-arm-linux-gnueabihf \
        gettext \
        imagemagick \
        make \
        ncurses-dev \
        u-boot-tools \
        python3 \
        python3-pil \
    && \
    apt-get clean && \
    rm -rf /var/cache/apt/*

COPY buildenv_check.sh buildenv_check.sh
